summary refs log tree commit diff
path: root/bootstrap
diff options
context:
space:
mode:
authornoa@gaiwan.org2024-04-13 01:51:55 +0000
committernoa@gaiwan.org2024-04-13 01:51:55 +0000
commit4df03133bf8dff64c0d82afd1fb971094bc4c36c (patch)
tree874bc4a3d0a7a9e92494424bf05ab7193870d9f2 /bootstrap
parent90dfde99de0af548c660d6484ad588b5d404a692 (diff)
Reconfigure bootstrapping scripts
Diffstat (limited to 'bootstrap')
-rw-r--r--bootstrap15
1 files changed, 15 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100644
index 0000000..40373b7
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+
+set -e
+
+mkdir -p $HOME/.config
+cd $HOME/.config
+git init
+git remote add origin "http://cgit.tilde.town/~noa/dots/"
+git fetch origin
+git checkout -b main --track origin/master
+git remote set-url origin noa@tilde.town:public_git/dots
+
+echo
+echo "Configuration files installed."
+echo "You probably want to run ~/.config/setup.sh now."